Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language (extended) | Libraries | Comparison | Changes

# long

#### Description

Long variables are extended size variables for number storage, and store 32 bits (4 bytes), from -2,147,483,648 to 2,147,483,647.

#### Example

        long speedOfLight = 186000L;   // see Integer Constants for explanation of the 'L'

#### Syntax

        long var = val;

- var - the long variable name
- val - the value assigned to the variable

#### See Also

- byte
- int
- unsigned int
- unsigned long
- Integer Constants
- Variable Declaration

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Edit Page | Page History | Printable View | All Recent Site Changes